%define version 0.3.1
%define release 4mdk
%define name mpeg2dec
%define major 0
%define libname %mklibname %name %major

Summary:	MPEG-2 Decoder
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Video
Source0:	http://libmpeg2.sourceforge.net/files/%{name}-%version.tar.bz2
URL:		http://libmpeg2.sourceforge.net
BuildRequires:	SDL-devel
BuildRequires:	XFree86-devel
BuildRequires:	libarts-devel
BuildRequires:	esound-devel
%ifnarch sparc sparc64
BuildRequires:	alsa-lib-devel
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%description
mpeg2dec is an mpeg-1 and mpeg-2 video decoder. It is purposely kept
simple : it does not include features like reading files from a DVD,
CSS, fullscreen output, navigation, etc... The main purpose of
mpeg2dec is to have a simple test bed for libmpeg2. mpeg2dec also
includes a demultiplexer for mpeg-1 and mpeg-2 program streams, and
output routines for a variety of different interfaces.

%package -n %libname
Group: System/Libraries
Summary: MPEG-2 Decoder

%description -n %libname
mpeg2dec is an mpeg-1 and mpeg-2 video decoder. It is purposely kept
simple : it does not include features like reading files from a DVD,
CSS, fullscreen output, navigation, etc... The main purpose of
mpeg2dec is to have a simple test bed for libmpeg2. mpeg2dec also
includes a demultiplexer for mpeg-1 and mpeg-2 program streams, and
output routines for a variety of different interfaces.

This package contains the shared libraries of mpeg2dec.

%package -n %libname-devel
Summary:	MPEG-2 Decoder development files
Group:		Development/C
Requires:	%{libname} = %{version}-%release
Provides:	lib%name-devel = %version-%release


%description -n %libname-devel
mpeg2dec is an mpeg-1 and mpeg-2 video decoder. It is purposely kept
simple : it does not include features like reading files from a DVD,
CSS, fullscreen output, navigation, etc... The main purpose of
mpeg2dec is to have a simple test bed for libmpeg2. mpeg2dec also
includes a demultiplexer for mpeg-1 and mpeg-2 program streams, and
output routines for a variety of different interfaces.

MPEG-2 Decoder development files

%package -n %libname-static-devel
Summary:	MPEG-2 Decoder static libraries
Group:		Development/C
Requires:	%{libname}-devel = %{version}-%release

%description -n %libname-static-devel
mpeg2dec is an mpeg-1 and mpeg-2 video decoder. It is purposely kept
simple : it does not include features like reading files from a DVD,
CSS, fullscreen output, navigation, etc... The main purpose of
mpeg2dec is to have a simple test bed for libmpeg2. mpeg2dec also
includes a demultiplexer for mpeg-1 and mpeg-2 program streams, and
output routines for a variety of different interfaces.

MPEG-2 Decoder static libraries.

%prep
%setup -q

%build
libtoolize --copy --force
aclocal
 
%configure2_5x --enable-shared
%{make}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_mandir}/man1/*
%{_bindir}/*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%{_includedir}/mpeg2dec
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/lib*.pc
%files -n %libname-static-devel
%defattr(-,root,root)
%{_libdir}/lib*.a

%changelog
* Thu Apr 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-3mdk
- mklibname macro

* Thu Dec 26 2002 Stefan van der Eijk <stefan@eijk.nu> 0.3.1-2mdk
- BuildRequires

* Sun Dec 15 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-1mdk
- new version

* Sun Dec  1 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.0-1mdk
- from Charles A Edwards <eslrahc@bellsouth.net> :
  - 0.3.0
  - correct perms on src tar.gz and convert to bz2  
  - don't use autoconf
  - add mans
  - add files pkgconfig/lib*.pc

* Thu Jul 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2.1-1mdk
- autoconf 2.5 macro
- update to real 0.2.1
- fix URL

* Tue Jul  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2.1-0.cvs.1mdk
- use CVS snapshot from http://www.it.linuxvideo.org/mpeg2dec/download.html 
- initial spec file based on PLD package

